com.gisgraphy.domain.geoloc.entity

## Class Street

- java.lang.Object
- - com.gisgraphy.domain.geoloc.entity.GisFeature
  - - com.gisgraphy.domain.geoloc.entity.Street

-     public class Street
      extends GisFeature

  Represents a `Street`.
  Author:
    David Masclet

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature

      `LOCATION_COLUMN_NAME, logger, MAX_ALTERNATENAME_SIZE, NAME_MAX_LENGTH, SHAPE_COLUMN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Street()` Needed by CGLib
    `Street(GisFeature gisFeature)` Constructor that populate the `Street` with the gisFeature fields

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFullyQualifiedAddress()`
    `SortedSet<HouseNumber>` | `getHouseNumbers()`
    `Double` | `getLength()`
    `com.gisgraphy.street.StreetType` | `getStreetType()`
    `boolean` | `isFullTextSearchable()` Override the gisFeature value.
    `boolean` | `isOneWay()`
    `void` | `setFullyQualifiedAddress(String fullyQualifiedAddress)`
    `void` | `setHouseNumbers(SortedSet<HouseNumber> houseNumbers)`
    `void` | `setLength(Double length)`
    `void` | `setOneWay(boolean oneWay)`
    `void` | `setStreetType(com.gisgraphy.street.StreetType streetType)`

    - ### Methods inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature

      `addAlternateName, addAlternateNames, addIsInCitiesAlternateName, addIsInCitiesAlternateNames, addZip, addZipCode, addZipCodes, addZips, distanceTo, equals, getAdm, getAdm1Code, getAdm1Name, getAdm2Code, getAdm2Name, getAdm3Code, getAdm3Name, getAdm4Code, getAdm4Name, getAdm5Code, getAdm5Name, getAlternateNames, getAmenity, getAsciiName, getCountry, getCountryCode, getElevation, getFeatureClass, getFeatureCode, getFeatureId, getFullyQualifiedName, getFullyQualifiedName, getGtopo30, getId, getIsIn, getIsInAdm, getIsInCityAlternateNames, getIsInPlace, getIsInZip, getLatitude, getLocation, getLongitude, getModificationDate, getName, getOpenstreetmapId, getPopulation, getShape, getSource, getTimezone, getZipCodes, hashCode, isAdm, isCity, isCountry, populate, setAdm, setAdm1Code, setAdm1Name, setAdm2Code, setAdm2Name, setAdm3Code, setAdm3Name, setAdm4Code, setAdm4Name, setAdm5Code, setAdm5Name, setAlternateNames, setAmenity, setAsciiName, setCountryCode, setElevation, setFeatureClass, setFeatureCode, setFeatureId, setGtopo30, setId, setIsIn, setIsInAdm, setIsInCityAlternateNames, setIsInPlace, setIsInZip, setLocation, setModificationDate, setName, setOpenstreetmapId, setPopulation, setShape, setSource, setTimezone, setZipCodes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Street

          public Street(GisFeature gisFeature)

      Constructor that populate the `Street` with the gisFeature fields
      Parameters:
        `gisFeature` - The gisFeature from which we want to populate the `Street`

    - #### Street

          public Street()

      Needed by CGLib

  - ### Method Detail

    - #### isFullTextSearchable

          public boolean isFullTextSearchable()

      Override the gisFeature value.
      Default to true;
      If this field is set to false, then the object won't be synchronized with the fullText search engine
      Overrides:
        `isFullTextSearchable` in class `GisFeature`
      Returns:
        true If the gisFeature must be sync with the fullText search engine

    - #### isOneWay

          public boolean isOneWay()

    - #### setOneWay

          public void setOneWay(boolean oneWay)

    - #### getStreetType

          public com.gisgraphy.street.StreetType getStreetType()

    - #### setStreetType

          public void setStreetType(com.gisgraphy.street.StreetType streetType)

    - #### getLength

          public Double getLength()

    - #### setLength

          public void setLength(Double length)

    - #### getFullyQualifiedAddress

          public String getFullyQualifiedAddress()

    - #### setFullyQualifiedAddress

          public void setFullyQualifiedAddress(String fullyQualifiedAddress)

    - #### getHouseNumbers

          public SortedSet<HouseNumber> getHouseNumbers()

    - #### setHouseNumbers

          public void setHouseNumbers(SortedSet<HouseNumber> houseNumbers)

Copyright © 2015. All rights reserved.